<div class="app-container mat-app-background mat-typography">
  <app-menu></app-menu>
  <app-loading-indicator
    [loaded]="(annotationLoaded$|async)"
    message="Annotations are loading..."
    position="before">
  </app-loading-indicator>
  <svm-slide-viewer
    [selectedSlideId]="(selectedSlideId$|async)"
    [slide]="(slide$|async)"
    [annotationIds]="(annotationIds$|async)"
    [annotations]="(annotations$|async)"
    [annotationCentroidsForClustering]="(centroids$|async)"
    [clusterDistance]="CLUSTER_DISTANCE"
    [removeAnnotations]="(removeAnnotations$|async)"
    [clearAnnotations]="(clearAnnotations$|async)"
    [uiConfig]="uiConfig"
    [hideAnnotationIds]="(hiddenAnnotationIds$|async)"
    [focusAnnotation]="(focusAnnotation$|async)"
    [interactionType]="(selectedInteractionType$|async)"
    [allowedInteractionTypes]="(allowedInteractionTypes$|async)"
    [classColorMapping]="(classColorMapping$|async)"
    [annotationHighlightConfig]="annotationHighlightConfig"
    [examinationState]="(examinationState$|async)"
    (doubleClicked)="toggleMenuVisibility()"
    (requestAnnotations)="requestAnnotations($event)"
    (slideMoveEnd)="onViewerMoveEnd($event)"
    (annotationAdded)="onAnnotationCreated($event)">
  </svm-slide-viewer>
</div>
